Bug 1108502 - [RFE] Internalize master/slave verification (gverify)
Summary: [RFE] Internalize master/slave verification (gverify)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Aravinda VK
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 07:16 UTC by Venky Shankar
Modified: 2018-11-19 05:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:20:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 555 0 None None None 2018-11-19 05:50:38 UTC

Description Venky Shankar 2014-06-12 07:16:32 UTC
Description of problem:
Currently gverify.sh is used to perform basic sanity checks for master/slave. This is in the form of a bash script. Better would be to internalize the sanity checks in geo-rep itself (e.g. gsyncd --sanity), as it's much more cleaner in cases of non-root and the likes).

Version-Release number of selected component (if applicable):
mainline

Comment 1 Aravinda VK 2015-12-29 10:15:23 UTC
georepcli may solve this issue by doing verification from Python code itself instead of bash script
http://review.gluster.org/#/c/12460/

Comment 2 Vijay Bellur 2018-11-19 05:50:38 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/555

Please follow the github issue for further updates on this bug.


Note You need to log in before you can comment on or make changes to this bug.